## gpiozero 1.6.1

=== Makefile ===
# vim: set noet sw=4 ts=4 fileencoding=utf-8:

# External utilities
PYTHON=python
PIP=pip
PYTEST=py.test
COVERAGE=coverage
TWINE=twine
PYFLAGS=
DEST_DIR=/

# Horrid hack to ensure setuptools is installed in our python environment. This
# is necessary with Python 3.3's venvs which don't install it by default.
ifeq ($(shell python -c "import setuptools" 2>&1),)
SETUPTOOLS:=
else
SETUPTOOLS:=$(shell wget https://bitbucket.org/pypa/setuptools/raw/bootstrap/ez_setup.py -O - | $(PYTHON))
endif

# Calculate the base names of the distribution, the location of all source,
# documentation, packaging, icon, and executable script files
NAME:=$(shell $(PYTHON) $(PYFLAGS) setup.py --name)
VER:=$(shell $(PYTHON) $(PYFLAGS) setup.py --version)
ifeq ($(shell lsb_release -si),Ubuntu)
DEB_SUFFIX:=ubuntu1
else
DEB_SUFFIX:=
endif
DEB_ARCH:=$(shell dpkg --print-architecture)
PYVER:=$(shell $(PYTHON) $(PYFLAGS) -c "import sys; print('py%d.%d' % sys.version_info[:2])")
PY_SOURCES:=$(shell \
	$(PYTHON) $(PYFLAGS) setup.py egg_info >/dev/null 2>&1 && \
	grep -v "\.egg-info" $(NAME).egg-info/SOURCES.txt)
DEB_SOURCES:=debian/changelog \
	debian/control \
	debian/copyright \
	debian/rules \
	debian/docs \
	$(wildcard debian/*.init) \
	$(wildcard debian/*.default) \
	$(wildcard debian/*.manpages) \
	$(wildcard debian/*.docs) \
	$(wildcard debian/*.doc-base) \
	$(wildcard debian/*.desktop)
DOC_SOURCES:=docs/conf.py \
	$(wildcard docs/*.png) \
	$(wildcard docs/*.svg) \
	$(wildcard docs/*.dot) \
	$(wildcard docs/*.mscgen) \
	$(wildcard docs/*.gpi) \
	$(wildcard docs/*.rst) \
	$(wildcard docs/*.pdf)
SUBDIRS:=

# Calculate the name of all outputs
DIST_WHEEL=dist/$(NAME)-$(VER)-py2.py3-none-any.whl
DIST_TAR=dist/$(NAME)-$(VER).tar.gz
DIST_ZIP=dist/$(NAME)-$(VER).zip
DIST_DEB=dist/python-$(NAME)_$(VER)$(DEB_SUFFIX)_all.deb \
	dist/python3-$(NAME)_$(VER)$(DEB_SUFFIX)_all.deb \
	dist/python-$(NAME)-doc_$(VER)$(DEB_SUFFIX)_all.deb \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).build \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).buildinfo \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).changes
DIST_DSC=dist/$(NAME)_$(VER)$(DEB_SUFFIX).tar.xz \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX).dsc \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.build \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.buildinfo \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.changes


# Default target
all:
	@echo "make install - Install on local system"
	@echo "make develop - Install symlinks for development"
	@echo "make test - Run tests"
	@echo "make doc - Generate HTML and PDF documentation"
	@echo "make source - Create source package"
	@echo "make egg - Generate a PyPI egg package"
	@echo "make zip - Generate a source zip package"
	@echo "make tar - Generate a source tar package"
	@echo "make deb - Generate Debian packages"
	@echo "make dist - Generate all packages"
	@echo "make clean - Get rid of all generated files"
	@echo "make release - Create and tag a new release"
	@echo "make upload - Upload the new release to repositories"

install: $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py install --root $(DEST_DIR)

doc: $(DOC_SOURCES)
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(MAKE) -C docs epub
	$(MAKE) -C docs latexpdf

source: $(DIST_TAR) $(DIST_ZIP)

wheel: $(DIST_WHEEL)

zip: $(DIST_ZIP)

tar: $(DIST_TAR)

deb: $(DIST_DEB) $(DIST_DSC)

dist: $(DIST_WHEEL) $(DIST_DEB) $(DIST_DSC) $(DIST_TAR) $(DIST_ZIP)

develop: 
	@# These have to be done separately to avoid a cockup...
	$(PIP) install -U setuptools
	$(PIP) install -U pip
	$(PIP) install -e .[doc,test]

test:
	$(COVERAGE) run --rcfile coverage.cfg -m $(PYTEST) tests -v -r sx
	$(COVERAGE) report --rcfile coverage.cfg

clean:
	dh_clean
	rm -fr dist/ $(NAME).egg-info/ tags
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir clean; \
	done

tags: $(PY_SOURCES)
	ctags -R --exclude="build/*" --exclude="debian/*" --exclude="docs/*" --languages="Python"

$(SUBDIRS):
	$(MAKE) -C $@

$(DIST_TAR): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats gztar

$(DIST_ZIP): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats zip

$(DIST_WHEEL): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py bdist_wheel --universal

$(DIST_DEB): $(PY_SOURCES) $(SUBDIRS) $(DEB_SOURCES) $(DIST_TAR)
	cp $(DIST_TAR) ../$(NAME)_$(VER).orig.tar.gz
	debuild -b
	mkdir -p dist/
	for f in $(DIST_DEB); do cp ../$${f##*/} dist/; done

$(DIST_DSC): $(PY_SOURCES) $(SUBDIRS) $(DEB_SOURCES) $(DIST_TAR)
	cp $(DIST_TAR) ../$(NAME)_$(VER).orig.tar.gz
	debuild -S
	mkdir -p dist/
	for f in $(DIST_DSC); do cp ../$${f##*/} dist/; done

copyrights: $(PY_SOURCES) $(DOC_SOURCES)
	./copyrights

changelog: $(PY_SOURCES) $(DOC_SOURCES) $(DEB_SOURCES)
	$(MAKE) clean
	# ensure there are no current uncommitted changes
	test -z "$(shell git status --porcelain)"
	# update the debian changelog with new release information
	dch --newversion $(VER)$(DEB_SUFFIX)
	# commit the changes and add a new tag
	git commit debian/changelog -m "Updated changelog for release $(VER)"

release: $(DIST_DEB) $(DIST_DSC) $(DIST_TAR) $(DIST_WHEEL)
	git tag -s v$(VER) -m "Release v$(VER)"
	git push --tags
	# build a source archive and upload to PyPI
	$(TWINE) upload $(DIST_TAR) $(DIST_WHEEL)
	# build the deb source archive and upload to Raspbian
	dput raspberrypi dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.changes
	dput raspberrypi dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).changes

.PHONY: all install develop test doc source egg wheel zip tar deb dist clean tags release upload $(SUBDIRS)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build
PY_SOURCES    := $(wildcard ../gpiozero/*.py ../gpiozero/pins/*.py)
DOT_DIAGRAMS  := $(wildcard images/*.dot images/*/*.dot)
MSC_DIAGRAMS  := $(wildcard images/*.mscgen images/*/*.mscgen)
GPI_DIAGRAMS  := $(wildcard images/*.gpi images/*/*.gpi)
SVG_IMAGES    := $(wildcard images/*.svg images/*/*.svg) $(DOT_DIAGRAMS:%.dot=%.svg) $(MSC_DIAGRAMS:%.mscgen=%.svg)
PNG_IMAGES    := $(wildcard images/*.png images/*/*.png) $(GPI_DIAGRAMS:%.gpi=%.png) $(SVG_IMAGES:%.svg=%.png)
PDF_IMAGES    := $(SVG_IMAGES:%.svg=%.pdf) $(GPI_DIAGRAMS:%.gpi=%.pdf) $(DOT_DIAGRAMS:%.dot=%.pdf) $(MSC_DIAGRAMS:%.mscgen=%.pdf)
INKSCAPE_VER  := $(shell inkscape --version | sed -ne '/^Inkscape/ s/^Inkscape \([0-9]\+\)\..*$$/\1/p')

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gpiozero.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gpiozero.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gpiozero"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gpiozero"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

images/device_hierarchy.dot: $(PY_SOURCES)
	./images/class_graph \
		-i Device \
		-i SharedMixin \
		-x SPI -x SPISoftwareBus > $@

images/composite_device_hierarchy.dot: $(PY_SOURCES)
	./images/class_graph \
		-i CompositeDevice \
		-i Energenie \
		-i LedBord \
		-x Motor \
		-x PhaseEnableMotor \
		-x Servo \
		-o SourceMixin > $@

images/spi_device_hierarchy.dot: $(PY_SOURCES)
	./images/class_graph -i SPIDevice > $@

images/output_device_hierarchy.dot: $(PY_SOURCES)
	./images/class_graph \
		-i OutputDevice \
		-i RGBLED \
		-i Servo \
		-i Motor \
		-i PhaseEnableMotor \
		-i TonalBuzzer \
		-x LedBorg \
		-x SPI -o SourceMixin > $@

images/input_device_hierarchy.dot: $(PY_SOURCES)
	./images/class_graph -i InputDevice -o EventsMixin -o HoldMixin > $@

images/internal_device_hierarchy.dot: $(PY_SOURCES)
	./images/class_graph -i InternalDevice -o EventsMixin > $@

%.svg: %.mscgen
	mscgen -T svg -o $@ $<

%.svg: %.dot
	dot -T svg -o $@ $<

%.png: %.gpi common.gp
	gnuplot -e "set term pngcairo size 640,480" $< > $@

ifeq ($(INKSCAPE_VER),0)
%.png: %.svg
	inkscape --export-dpi 150 -e $@ $<

%.pdf: %.svg
	inkscape -A $@ $<
else
%.png: %.svg
	inkscape --export-dpi 150 --export-type png -o $@ $<

%.pdf: %.svg
	inkscape --export-type pdf -o $@ $<
endif

%.pdf: %.gpi common.gp
	gnuplot -e "set term pdfcairo size 10cm,7.5cm" $< > $@

%.pdf: %.mscgen
	mscgen -T eps -o - $< | ps2pdf -dEPSCrop - $@

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

## gpiozero 1.3.1.post1

=== debian/changelog ===
gpiozero (1.3.1.post1-1) unstable; urgency=low

  * Initial packaging. (Closes: #854418)

 -- Dominik George <nik@naturalnet.de>  Sun, 12 Feb 2017 18:39:38 +0100

=== debian/control ===
Source: gpiozero
Maintainer: Debian Raspberry Pi Maintainers <pkg-raspi-maintainers@lists.alioth.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all (>= 2.6.6-3),
 python-mock,
 python-pytest,
 python-setuptools (>= 0.6b3),
 python3-all,
 python3-mock,
 python3-pytest,
 python3-setuptools,,
Standards-Version: 3.9.8
Homepage: https://github.com/RPi-Distro/python-gpiozero
Vcs-Git: https://anonscm.debian.org/git/pkg-raspi/gpiozero.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-raspi/gpiozero.git

Package: python-gpiozero
Architecture: arm64 armel armhf
Depends:
 rpi.gpio-common,
 ${misc:Depends},
 ${python:Depends},
Description: simple interface to everyday GPIO components used with Raspberry Pi (Python 2)
 gpiozero is an object-oriented wrapper around using various elelctronic
 components with the GPIO interface on the Raspoberry Pi. It allows
 interacting with components like LEDs and buttons by defining them as
 object instances which provide callback hooks to react to changes, e.g.
 a button being pressed.
 .
 This package contains the Python 2 module.

Package: python3-gpiozero
Architecture: arm64 armel armhf
Depends:
 rpi.gpio-common,
 ${misc:Depends},
 ${python3:Depends},
Description: simple interface to everyday GPIO components used with Raspberry Pi (Python 3)
 gpiozero is an object-oriented wrapper around using various elelctronic
 components with the GPIO interface on the Raspoberry Pi. It allows
 interacting with components like LEDs and buttons by defining them as
 object instances which provide callback hooks to react to changes, e.g.
 a button being pressed.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gpiozero

# gpiozero relies on it being installed through distutils; tests cannot run without installing
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## gpiozero 1.4.1

=== debian/changelog ===
gpiozero (1.4.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python3-pkg-resources.
    (Closes: #971897)

 -- Adrian Bunk <bunk@debian.org>  Wed, 16 Jun 2021 14:50:22 +0300

gpiozero (1.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix error in python3-gpiozero reccomends/suggests, change 
    python-pigpio to python3-pigpio.
  * Drop python-gpiozero package (Closes: 936644).
  * Drop rules logic to remove "pinout" utility from python-gpiozero package.
  * Drop python2 related build-dependencies.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 30 Aug 2019 19:40:05 +0000

gpiozero (1.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make packages arch any (not arch-all because of arch-specific dependencies)
    (Closes: #856413)
  * Change nonsensical rpi.gpio-common dependency to python-rpi.gpio/python3-rpi.gpio
    and limit it's architecture list to arm*
  * Recommend python-pigpio/python3-pigpio on non-arm architectures.
  * Suggest python-pigpio/python3-pigpio on arm architectures.
  * Drop "pinout" utility from python-gpiozero package 
    (keep it in python3-gpiozero package) (Closes: #919617)
  * Fix misspelling in package discrptions Raspoberry -> Raspberry

 -- Peter Michael Green <plugwash@debian.org>  Thu, 24 Jan 2019 14:45:24 +0000

gpiozero (1.4.1-1) unstable; urgency=medium

  * Move to Salsa.
  * Update my maintainer address.
  * Bump Standards-Version and compat level, no changes needed.

 -- Dominik George <natureshadow@debian.org>  Sun, 13 Jan 2019 15:13:03 +0100

=== debian/control ===
Source: gpiozero
Maintainer: Debian Raspberry Pi Maintainers <pkg-raspi-maintainers@lists.alioth.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python3-all,
 python3-mock,
 python3-pytest,
 python3-setuptools,,
Standards-Version: 4.3.0
Homepage: https://github.com/RPi-Distro/python-gpiozero
Vcs-Git: https://salsa.debian.org/raspi-team/gpiozero.git
Vcs-Browser: https://salsa.debian.org/raspi-team/gpiozero

Package: python3-gpiozero
Architecture: any
Depends:
 python3-rpi.gpio [armel armhf arm64],
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources
Recommends:
 python3-pigpio [!armel !armhf !arm64]
Suggests:
 python3-pigpio [armel armhf arm64]
Description: simple interface to everyday GPIO components used with Raspberry Pi (Python 3)
 gpiozero is an object-oriented wrapper around using various elelctronic
 components with the GPIO interface on the Raspberry Pi. It allows
 interacting with components like LEDs and buttons by defining them as
 object instances which provide callback hooks to react to changes, e.g.
 a button being pressed.
 .
 This package contains the Python 3 module.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/gpiozero/watch
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/" \
http://pypi.debian.net/gpiozero/gpiozero-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gpiozero 1.6.1

=== debian/changelog ===
gpiozero (1.6.1-0ubuntu1) hirsute; urgency=medium

  * Add python-gpiozero-doc package back in
  * Add python3-lgpio under recommends instead of python3-rpi.gpio
  * Added d/p/use-setup-cfg.patch from upstream to use setup.cfg instead of
    setup.py
  * Added d/p/no-coverage.patch to prevent running coverage under the test
    suite
  * Added d/p/local-objects-inv.patch to source objects.inv for intersphinx
    from local packages where possible

 -- Dave Jones <dave.jones@canonical.com>  Mon, 15 Mar 2021 13:37:12 +0000

=== debian/control ===
Source: gpiozero
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
Homepage: http://gpiozero.readthedocs.io/
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-doc,
 python3-colorzero,
 python-colorzero-doc,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-mock,
 python3-pytest,
Standards-Version: 4.5.1
Vcs-Git: https://github.com/gpiozero/gpiozero.git
Vcs-Browser: https://github.com/gpiozero/gpiozero

Package: python3-gpiozero
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Recommends: python3-lgpio, python3-spidev
Suggests: python-gpiozero-docs
Description: Simple API for controlling devices attached to a Pi's GPIO pins.
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the Python 3 version of the package.

Package: python-gpiozero-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Simple API for controlling devices attached to a Pi's GPIO pins.
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the version independent documentation for the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=gpiozero

# Don't run test_real_pins even if we're running on a Pi; it expects GPIOs to
# be bridged for functional testing
export PYBUILD_TEST_ARGS=-k-test_real_pins.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	python3 setup.py sdist
	dh_auto_test

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-gpiozero -ppython-gpiozero-doc
	dh_installdocs -ppython3-gpiozero

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@_$1\.orig\.tar\.gz/ \
  https://github.com/gpiozero/@PACKAGE@/tags .*/v?@ANY_VERSION@\.tar\.gz

## gpiozero 1.6.2

=== debian/changelog ===
gpiozero (1.6.2-1) stable; urgency=medium

  * Added "RotaryEncoder" class (thanks to Paulo Mateus) (#482, #928)
  * Added support for multi-segment character displays with "LEDCharDisplay"
    and "LEDMultiCharDisplay" along with "font" support using "LEDCharFont"
    (thanks to Martin O'Hanlon) (#357, #485, #488, #493, #930)
  * Added "Pibrella" class (thanks to Carl Monk) (#773, #798)
  * Added "TrafficpHat" class (thanks to Ryan Walmsley) (#845, #846)
  * Added support for the "lgpio" library as a pin factory (#927)
    ("LGPIOFactory") (thanks to Joan for lg) (#927)
  * Allow "Motor" to pass "pin_factory" to its child "OutputDevice" objects
    (thanks to Yisrael Dov Lebow) (#792)
  * Small SPI exception fix (thanks to Maksim Levental) (#762)
  * Warn users when using default pin factory for Servos and Distance Sensors
    (thanks to Sofiia Kosovan and Daniele Procida at the EuroPython sprints)
    (#780, #781)
  * Added "pulse_width" property to "Servo" (suggested by Daniele Procida at
    the PyCon UK sprints) (#795, #797)
  * Added event-driven functionality to "internal devices" (#941)
  * Allowed "Energenie" sockets preserve their state on construction (thanks
    to Jack Wearden) (#865)
  * Added source tools "scaled_half" and "scaled_full"
  * Added complete Pi 4 support to "NativeFactory" (thanks to Andrew Scheller)
    (#920, #929, #940)
  * Updated add-on boards to use BOARD numbering (#349, #860)
  * Fixed "ButtonBoard" release events (#761)
  * Add ASCII art diagrams to "pinout" for Pi 400 and CM4 (#932)
  * Cleaned up software SPI (thanks to Andrew Scheller and Kyle Morgan) (#777,
    #895, #900)
  * Added USB3 and Ethernet speed attributes to "pi_info"
  * Various docs updates

 -- Dave Jones <dave@waveform.org.uk>  Mon, 15 Mar 2021 00:16:04 +0000

gpiozero (1.5.1) stable; urgency=medium

  * Added Raspberry Pi 4 data for "pi_info" and "pinout"
  * Minor docs updates

 --  <ben@raspberrypi.org>  Mon, 24 Jun 2019 23:11:24 +0100

gpiozero (1.5.0ubuntu1) xenial; urgency=medium

  * Ubuntu release

 -- Dave Jones <dave@waveform.org.uk>  Thu, 07 Mar 2019 15:03:34 +0000

gpiozero (1.5.0) stable; urgency=medium

  * Introduced pin event timing to increase accuracy of certain devices such
    as the HC-SR04 "DistanceSensor". (#664, #665)
  * Further improvements to "DistanceSensor" (ignoring missed edges). (#719)
  * Allow "source" to take a device object as well as "values" or other
    values. See the "Source/Values" chapter in the docs. (#640)
  * Added internal device classes "LoadAverage" and "DiskUsage" (thanks to
    Jeevan M R for the latter). (#532, #714)
  * Added support for colorzero with "RGBLED" (this adds a new dependency).
    (#655)
  * Added "TonalBuzzer" with "Tone" API for specifying frequencies raw or via
    MIDI or musical notes. (#681, #717)
  * Added "PiHutXmasTree". (#502)
  * Added "PumpkinPi" and "JamHat" (thanks to Claire Pollard). (#680, #681,
    #717)
  * Ensured gpiozero can be imported without a valid pin factory set. (#591,
    #713)
  * Reduced import time by not computing default pin factory at the point of
    import. (#675, #722)
  * Added support for various pin numbering mechanisms. (#470)
  * "Motor" instances now use "DigitalOutputDevice" for non-PWM pins.
  * Allow non-PWM use of "Robot". (#481)
  * Added optional enable init param to "Motor". (#366)
  * Added --xyz option to "pinout" command line tool to open
    https://pinout.xyz in a web browser. (#604)
  * Added 3B+, 3A+ and CM3+ to Pi model data. (#627, #704)
  * Minor improvements to "Energenie", thanks to Steve Amor. (#629, #634)
  * Allow "SmoothedInputDevice", "LightSensor" and "MotionSensor" to have
    pull-up configured. (#652)
  * Allow input devices to be pulled up or down externally, thanks to Philippe
    Muller. (#593, #658)
  * Minor changes to support Python 3.7, thanks to Russel Winder and Rick
    Ansell. (#666, #668, #669, #671, #673)
  * Added "zip_values" source tool.
  * Correct row/col numbering logic in "PinInfo". (#674)
  * Many additional tests, and other improvements to the test suite.
  * Many documentation corrections, additions and clarifications.
  * Automatic documentation class hierarchy diagram generation.
  * Automatic copyright attribution in source files.

 -- Dave Jones <dave@waveform.org.uk>  Tue, 12 Feb 2019 21:31:09 +0000

gpiozero (1.4.1) stable; urgency=low

  * Added "curve_left" and "curve_right" parameters to "Robot.forward" and
    "Robot.backward" (#306 and #619)
  * Fixed "DistanceSensor" returning incorrect readings after a long pause,
    and added a lock to ensure multiple distance sensors can operate
    simultaneously in a single project (#584, #595, #617, #618)
  * Added support for phase/enable motor drivers with "PhaseEnableMotor",
    "PhaseEnableRobot", and descendants, thanks to Ian Harcombe!  (#386)
  * A variety of other minor enhancements, largely thanks to Andrew Scheller!
    (#479, #489, #491, #492)

 -- Dave Jones <dave@waveform.org.uk>  Tue, 20 Feb 2018 21:59:28 +0000

gpiozero (1.4.0) stable; urgency=low

  * Pin factory is now configurable from device constructors as well as
    command line. NOTE: this is a backwards incompatible change for manual pin
    construction but it's hoped this is (currently) a sufficiently rare use
    case that this won't affect too many people and the benefits of the new
    system warrant such a change, i.e. the ability to use remote pin factories
    with HAT classes that don't accept pin assignations (#279)
  * Major work on SPI, primarily to support remote hardware SPI (#421, #459,
    #465, #468, #575)
  * Pin reservation now works properly between GPIO and SPI devices (#459,
    #468)
  * Lots of work on the documentation: source/values chapter, better charts,
    more recipes, remote GPIO configuration, mock pins, better PDF output
    (#484, #469, #523, #520, #434, #565, #576)
  * Support for "StatusZero" and "StatusBoard" HATs (#558)


=== debian/control ===
--- 
+++ 
@@ -1,30 +1,43 @@
 Source: gpiozero
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
+Maintainer: Ben Nuttall <ben@raspberrypi.org>
 Homepage: http://gpiozero.readthedocs.io/
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python-all (>= 2.7),
+ python-setuptools,
  python3-all,
  python3-doc,
  python3-colorzero,
- python-colorzero-doc,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- python3-mock,
- python3-pytest,
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/gpiozero/gpiozero.git
 Vcs-Browser: https://github.com/gpiozero/gpiozero
+
+Package: python-gpiozero
+Architecture: all
+Section: python
+Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
+Recommends: python-rpi.gpio, python-spidev
+Suggests: python-gpiozero-docs
+Description: Simple API for controlling devices attached to a Pi's GPIO pins.
+ gpiozero builds on various pin libraries to provide a set of classes designed
+ to simplify interaction with devices connected to the GPIO pins, from simple
+ buttons and LEDs, up to various add-on boards. The API tries to adhere closely
+ to Python's idioms and naming conventions, and features alternative
+ programming paradigm approaches.
+ .
+ This is the Python 2 version of the package.
 
 Package: python3-gpiozero
 Architecture: all
 Section: python
 Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
-Recommends: python3-lgpio, python3-spidev
+Recommends: python3-rpi.gpio, python3-spidev
 Suggests: python-gpiozero-docs
 Description: Simple API for controlling devices attached to a Pi's GPIO pins.
  gpiozero builds on various pin libraries to provide a set of classes designed

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=gpiozero
export PYBUILD_TEST_ARGS=-k-test_real_pins.py

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Strip out binaries from the py2 package
	rm debian/python-gpiozero/usr/bin/pinout

override_dh_auto_test:
	python3 setup.py sdist
	dh_auto_test

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man

## gpiozero 2.0

=== debian/changelog ===
gpiozero (2.0-0ubuntu1) mantic; urgency=medium

  * Merge new upstream release, adding support for Raspberry Pi 5
    (LP: #2037637)
  * d/rules: Fixed pytest exclusion syntax
  * d/t/control: Add DEP8 tests
  * d/python3-gpiozero.manpages: Added pintest and gpiozero-env
  * Removed d/p/use-setup-cfg.patch; now upstream
  * Removed d/p/lgpio-priority.patch; now upstream
  * Refreshed d/p/no-coverage.patch; context change
  * Updated d/p/local-objects-inv.patch to use local python3-doc and
    python-colorzero-doc during build
  * Bump standards version to 4.6.2

 -- Dave Jones <dave.jones@canonical.com>  Thu, 28 Sep 2023 11:17:02 +0100

## gpiozero 2.0.1

=== Makefile ===
# vim: set noet sw=4 ts=4 fileencoding=utf-8:

# External utilities
PYTHON ?= python3
PIP ?= pip
PYTEST ?= pytest
TWINE ?= twine
PYFLAGS ?=
DEST_DIR ?= /

# Calculate the base names of the distribution, the location of all source,
# documentation, packaging, icon, and executable script files
NAME:=$(shell $(PYTHON) $(PYFLAGS) setup.py --name)
WHEEL_NAME:=$(subst -,_,$(NAME))
VER:=$(shell $(PYTHON) $(PYFLAGS) setup.py --version)
PY_SOURCES:=$(shell \
	$(PYTHON) $(PYFLAGS) setup.py egg_info >/dev/null 2>&1 && \
	cat $(WHEEL_NAME).egg-info/SOURCES.txt | grep -v "\.egg-info"  | grep -v "\.mo$$")
DOC_SOURCES:=docs/conf.py \
	$(wildcard docs/*.png) \
	$(wildcard docs/*.svg) \
	$(wildcard docs/*.dot) \
	$(wildcard docs/*.mscgen) \
	$(wildcard docs/*.gpi) \
	$(wildcard docs/*.rst) \
	$(wildcard docs/*.pdf)
SUBDIRS:=

# Calculate the name of all outputs
DIST_WHEEL=dist/$(WHEEL_NAME)-$(VER)-py3-none-any.whl
DIST_TAR=dist/$(NAME)-$(VER).tar.gz
DIST_ZIP=dist/$(NAME)-$(VER).zip
MAN_PAGES=man/pinout.1 man/pintest.1 man/remote-gpio.7 man/gpiozero-env.7


# Default target
all:
	@echo "make install - Install on local system"
	@echo "make develop - Install symlinks for development"
	@echo "make test - Run tests"
	@echo "make doc - Generate HTML and PDF documentation"
	@echo "make source - Create source package"
	@echo "make wheel - Generate a PyPI wheel package"
	@echo "make zip - Generate a source zip package"
	@echo "make tar - Generate a source tar package"
	@echo "make dist - Generate all packages"
	@echo "make clean - Get rid of all generated files"
	@echo "make release - Create and tag a new release"
	@echo "make upload - Upload the new release to repositories"

install: $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py install --root $(DEST_DIR)

doc: $(DOC_SOURCES)
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(MAKE) -C docs epub
	$(MAKE) -C docs latexpdf
	$(MAKE) $(MAN_PAGES)

preview:
	$(MAKE) -C docs preview

source: $(DIST_TAR) $(DIST_ZIP)

wheel: $(DIST_WHEEL)

zip: $(DIST_ZIP)

tar: $(DIST_TAR)

dist: $(DIST_WHEEL) $(DIST_TAR) $(DIST_ZIP)

develop:
	@# These have to be done separately to avoid a cockup...
	$(PIP) install -U setuptools
	$(PIP) install -U pip
	$(PIP) install -U twine
	$(PIP) install -U tox
	$(PIP) install -e .[doc,test]

test:
	$(PYTEST)

clean:
	rm -fr dist/ build/ man/ .pytest_cache/ .mypy_cache/ $(WHEEL_NAME).egg-info/ tags .coverage*
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir clean; \
	done
	find $(CURDIR) -name "*.pyc" -delete
	find $(CURDIR) -name "__pycache__" -delete

tags: $(PY_SOURCES)
	ctags -R --languages="Python" $(PY_SOURCES)

lint: $(PY_SOURCES)
	pylint $(WHEEL_NAME)

$(SUBDIRS):
	$(MAKE) -C $@

$(MAN_PAGES): $(DOC_SOURCES)
	$(MAKE) -C docs man
	mkdir -p man/
	cp build/man/*.[0-9] man/

$(DIST_TAR): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats gztar

$(DIST_ZIP): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats zip

$(DIST_WHEEL): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py bdist_wheel

release:
	$(MAKE) clean
	test -z "$(shell git status --porcelain)"
	git tag -s v$(VER) -m "Release v$(VER)"
	git push origin v$(VER)

upload: $(DIST_TAR) $(DIST_WHEEL)
	$(TWINE) check $(DIST_TAR) $(DIST_WHEEL)
	$(TWINE) upload $(DIST_TAR) $(DIST_WHEEL)

.PHONY: all install develop test doc source wheel zip tar dist clean tags release upload $(SUBDIRS)

=== docs/Makefile ===
--- 
+++ 
@@ -30,21 +30,14 @@
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
-	@echo "  dirhtml    to make HTML files named index.html in directories"
-	@echo "  singlehtml to make a single large HTML file"
-	@echo "  pickle     to make pickle files"
+	@echo "  preview    to start a web-server that watches for file changes"
+	@echo "             and re-builds the docs when required"
 	@echo "  json       to make JSON files"
-	@echo "  htmlhelp   to make HTML files and a HTML help project"
-	@echo "  qthelp     to make HTML files and a qthelp project"
-	@echo "  devhelp    to make HTML files and a Devhelp project"
 	@echo "  epub       to make an epub"
 	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
-	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
 	@echo "  text       to make text files"
 	@echo "  man        to make manual pages"
-	@echo "  texinfo    to make Texinfo files"
-	@echo "  info       to make Texinfo files and run them through makeinfo"
 	@echo "  gettext    to make PO message catalogs"
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
 	@echo "  xml        to make Docutils-native XML files"
@@ -60,49 +53,10 @@
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
-dirhtml: $(SVG_IMAGES) $(PNG_IMAGES)
-	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
-	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
-
-singlehtml: $(SVG_IMAGES) $(PNG_IMAGES)
-	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
-	@echo
-	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
-
-pickle:
-	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
-	@echo
-	@echo "Build finished; now you can process the pickle files."
-
 json:
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
-
-htmlhelp:
-	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
-	@echo
-	@echo "Build finished; now you can run HTML Help Workshop with the" \
-	      ".hhp project file in $(BUILDDIR)/htmlhelp."
-
-qthelp:
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
-	@echo
-	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
-	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gpiozero.qhcp"
-	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gpiozero.qhc"
-
-devhelp:
-	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
-	@echo
-	@echo "Build finished."
-	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/gpiozero"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gpiozero"
-	@echo "# devhelp"
 
 epub:
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
@@ -122,12 +76,6 @@
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
-latexpdfja: $(PDF_IMAGES)
-	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
-	@echo "Running LaTeX files through platex and dvipdfmx..."
-	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
-	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
-
 text:
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo
@@ -137,19 +85,6 @@
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
-
-texinfo:
-	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
-	@echo
-	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
-	@echo "Run \`make' in that directory to run these through makeinfo" \
-	      "(use \`make info' here to do that automatically)."
-
-info:
-	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
-	@echo "Running Texinfo files through makeinfo..."
-	make -C $(BUILDDIR)/texinfo info
-	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
 
 gettext:
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
@@ -182,14 +117,17 @@
 	@echo
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
 
+preview:
+	../scripts/previewer $(BUILDDIR)/html
+
 images/device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph \
+	../scripts/class_graph \
 		-i Device \
 		-i SharedMixin \
 		-x SPI -x SPISoftwareBus > $@
 
 images/composite_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph \
+	../scripts/class_graph \
 		-i CompositeDevice \
 		-i Energenie \
 		-i LedBord \
@@ -199,10 +137,10 @@
 		-o SourceMixin > $@
 
 images/spi_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph -i SPIDevice > $@
+	../scripts/class_graph -i SPIDevice > $@
 
 images/output_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph \
+	../scripts/class_graph \
 		-i OutputDevice \
 		-i RGBLED \
 		-i Servo \
@@ -213,10 +151,10 @@
 		-x SPI -o SourceMixin > $@
 
 images/input_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph -i InputDevice -o EventsMixin -o HoldMixin > $@
+	../scripts/class_graph -i InputDevice -o EventsMixin -o HoldMixin > $@
 
 images/internal_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph -i InternalDevice -o EventsMixin > $@
+	../scripts/class_graph -i InternalDevice -o EventsMixin > $@
 
 %.svg: %.mscgen
 	mscgen -T svg -o $@ $<
@@ -224,8 +162,8 @@
 %.svg: %.dot
 	dot -T svg -o $@ $<
 
-%.png: %.gpi common.gp
-	gnuplot -e "set term pngcairo size 640,480" $< > $@
+%.png: %.gpi
+	gnuplot -e "set term pngcairo transparent size 400,400" $< > $@
 
 ifeq ($(INKSCAPE_VER),0)
 %.png: %.svg
@@ -241,10 +179,10 @@
 	inkscape --export-type pdf -o $@ $<
 endif
 
-%.pdf: %.gpi common.gp
-	gnuplot -e "set term pdfcairo size 10cm,7.5cm" $< > $@
+%.pdf: %.gpi
+	gnuplot -e "set term pdfcairo size 5cm,5cm" $< > $@
 
 %.pdf: %.mscgen
 	mscgen -T eps -o - $< | ps2pdf -dEPSCrop - $@
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+.PHONY: help clean html preview json epub latex latexpdf text man changes linkcheck doctest gettext

=== debian/changelog ===
gpiozero (2.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release, fixes FTBFS with Python 3.12 (LP: #2051531)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 15 Feb 2024 11:14:49 +0000

=== debian/control ===
Source: gpiozero
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
Homepage: http://gpiozero.readthedocs.io/
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-colorzero-doc,
 python3-all (>= 3.9),
 python3-doc,
 python3-colorzero,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-pytest,
Standards-Version: 4.6.2
Vcs-Git: https://github.com/gpiozero/gpiozero.git
Vcs-Browser: https://github.com/gpiozero/gpiozero

Package: python3-gpiozero
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-lgpio, python3-spidev
Suggests: python-gpiozero-doc
Description: Simple API for controlling devices attached to a Pi's GPIO pins
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the Python 3 version of the package.

Package: python-gpiozero-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
 python3-doc,
 python-colorzero-doc
Description: Documentation for the gpiozero Python API
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the documentation for the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=gpiozero

# Don't run test_real_pins even if we're running on a Pi; it expects GPIOs to
# be bridged for functional testing
export PYBUILD_TEST_ARGS=-k 'not test_real_pins.py'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py sdist
	dh_auto_test
endif

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-gpiozero -ppython-gpiozero-doc
	dh_installdocs -ppython3-gpiozero

=== debian/tests/control ===
Test-Command: pytest-3 -rsx --tb=short -k 'not test_real_pins.py' tests/
Depends: @, python3-pytest
